using MaterialSkin.Core.Controls;
using VisionBuilder.UI.Common.ViewModel.Interfaces.UI;

namespace CandyboxPlugin.Module;

public class CandyboxRecipeCreationTool:IRecipeCreationTool
{
    public bool Enabled { get; set; } = true;
    public Task<string?> CreateRecipeAsync()
    {
        var result = MaterialInputBox.Prompt("Recipe name","", out var recipeName);
        return Task.FromResult(result == DialogResult.OK ? recipeName : null);
    }
}